| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ImportDragDropHandler Class Reference
Inheritance diagram for Digikam::ImportDragDropHandler:

## Public Member Functions
| ImportDragDropHandler (ImportItemModel *const model)
Qt::DropAction | accepts (const QDropEvent *e, const QModelIndex &dropIndex) override
| Returns if the given mime data is accepted for drop on dropIndex.
QMimeData * | createMimeData (const QList< QModelIndex > &) override
| Create a mime data object for starting a drag from the given Albums.
bool | dropEvent (QAbstractItemView *view, const QDropEvent *e, const QModelIndex &droppedOn) override
| Gives the view and the occurring drop event.
QStringList | mimeTypes () const override
| Returns the supported mime types.
ImportItemModel * | model () const override
Public Member Functions inherited from Digikam::AbstractItemDragDropHandler
| AbstractItemDragDropHandler (QAbstractItemModel *const model)
virtual bool | acceptsMimeData (const QMimeData *data)
| Returns if the given mime data can be handled.

## Additional Inherited Members
Protected Attributes inherited from Digikam::AbstractItemDragDropHandler
QAbstractItemModel * | m_model = nullptr

## Member Function Documentation

## ◆ accepts()

Qt::DropAction Digikam::ImportDragDropHandler::accepts | ( | const QDropEvent * | e,
|  | const QModelIndex & | dropIndex
| ) |  |
| override virtual

Returns the proposed action, or Qt::IgnoreAction if not accepted.

Reimplemented from Digikam::AbstractItemDragDropHandler.

## ◆ createMimeData()

QMimeData * Digikam::ImportDragDropHandler::createMimeData | ( | const QList< QModelIndex > & |  | ) |
| override virtual

Reimplemented from Digikam::AbstractItemDragDropHandler.

## ◆ dropEvent()

bool Digikam::ImportDragDropHandler::dropEvent | ( | QAbstractItemView * | view,
|  | const QDropEvent * | e,
|  | const QModelIndex & | droppedOn
| ) |  |
| override virtual

The index is the index where the drop was dropped on. It may be invalid (dropped on decoration, viewport) Returns true if the event is to be accepted.

Reimplemented from Digikam::AbstractItemDragDropHandler.

## ◆ mimeTypes()

QStringList Digikam::ImportDragDropHandler::mimeTypes | ( |  | ) | const
| override virtual

Called by the default implementation of model's mimeTypes().

Reimplemented from Digikam::AbstractItemDragDropHandler.

## ◆ model()

ImportItemModel * Digikam::ImportDragDropHandler::model | ( |  | ) | const
| override virtual

Reimplemented from Digikam::AbstractItemDragDropHandler.